<div>
  @if (isVisible(executionStatus.UNTESTABLE.id)) {
    <div
      class="__hover_pointer"
      (click)="handleChangeStatus(executionStatus.UNTESTABLE.id)"
      [attr.data-test-execution-status]="executionStatus.UNTESTABLE.id"
    >
      <sqtm-app-execution-runner-status-button
        class="m-r-10"
        [tooltip]="false"
        [status]="executionStatus.UNTESTABLE.id"
      >
      </sqtm-app-execution-runner-status-button>
      <a class="status-link">
        {{ executionStatus.UNTESTABLE.i18nKey | translate | capitalize }}</a
      >
    </div>
  }
  @if (isVisible(executionStatus.SETTLED.id)) {
    <div
      class="m-t-10 __hover_pointer"
      (click)="handleChangeStatus(executionStatus.SETTLED.id)"
      [attr.data-test-execution-status]="executionStatus.SETTLED.id"
    >
      <sqtm-app-execution-runner-status-button
        class="m-r-10"
        [tooltip]="false"
        [status]="executionStatus.SETTLED.id"
      >
      </sqtm-app-execution-runner-status-button>
      <a class="status-link">
        {{ executionStatus.SETTLED.i18nKey | translate | capitalize }}</a
      >
    </div>
  }
  <div
    class="m-t-10 __hover_pointer"
    (click)="handleChangeStatus(executionStatus.READY.id)"
    [attr.data-test-execution-status]="executionStatus.READY.id"
  >
    <sqtm-app-execution-runner-status-button
      class="m-r-10"
      [tooltip]="false"
      [status]="executionStatus.READY.id"
    >
    </sqtm-app-execution-runner-status-button>
    <a class="status-link">
      {{ executionStatus.READY.i18nKey | translate | capitalize }}</a
    >
  </div>
</div>
